Bug 818531 - [abrt] yum-3.4.3-23.fc16: yumRepo.py:1587:_retrieveMD:RepoError: Caching enabled and local cache: /var/tmp/yum-steve-t_o8Xs/x86_64/16/google-chrome/primary.xml.gz does not match checksum
[abrt] yum-3.4.3-23.fc16: yumRepo.py:1587:_retrieveMD:RepoError: Caching enab...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:3124642c8ed71d850021b6049ee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 05:49 EDT by Steve Rogerson
Modified: 2014-01-21 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 07:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Rogerson 2012-05-03 05:49:03 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available perl-
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.3.2-6.fc16.x86_64
reason:         yumRepo.py:1587:_retrieveMD:RepoError: Caching enabled and local cache: /var/tmp/yum-steve-t_o8Xs/x86_64/16/google-chrome/primary.xml.gz does not match checksum
time:           Thu 03 May 2012 10:48:03 BST
uid:            500
username:       steve

backtrace:
:yumRepo.py:1587:_retrieveMD:RepoError: Caching enabled and local cache: /var/tmp/yum-steve-t_o8Xs/x86_64/16/google-chrome/primary.xml.gz does not match checksum
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 81, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 77, in main
:    base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/completion-helper.py", line 44, in doCommand
:    patterns=[get_pattern(extcmds)])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2660, in doPackageLists
:    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 186, in populate
:    xml = repo_get_function()
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1638, in getPrimaryXML
:    return self.retrieveMD('primary')
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1563, in retrieveMD
:    return self._retrieveMD(mdtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1587, in _retrieveMD
:    "Caching enabled and local cache: %s does not match checksum" % local
:RepoError: Caching enabled and local cache: /var/tmp/yum-steve-t_o8Xs/x86_64/16/google-chrome/primary.xml.gz does not match checksum
:
:Local variables in innermost frame:
:e: URLGrabError(-1, 'Metadata file does not match checksum')
:r_base: None
:self: <yum.yumRepo.YumRepository object at 0x248b610>
:thisdata: <yum.repoMDObject.RepoData instance at 0x3698290>
:mdtype: 'primary'
:fname: 'primary.xml.gz'
:remote: 'repodata/primary.xml.gz'
:local: '/var/tmp/yum-steve-t_o8Xs/x86_64/16/google-chrome/primary.xml.gz'
:retrieve_can_fail: False
Comment 1 Zdeněk Pavlas 2012-05-03 07:45:50 EDT
Fix for BZ 809469 should cover this, too.

Note You need to log in before you can comment on or make changes to this bug.